const path = require('path')
module.exports = {
  rootDir: path.resolve(__dirname),
  preset: '@vue/cli-plugin-unit-jest/presets/typescript',
  coverageDirectory: '<rootDir>/coverage',
  collectCoverage: true,
  modulePaths: ['<rootDir>'],
  transform: {
    '^.+\\.vue$': '@vue/vue3-jest'
  },
  testMatch: ['<rootDir>/tests/unit/**/*.spec.[jt]s', '<rootDir>/**/__tests__/*.[jt]s']
}
